xclade
Admin APIExchanges

Create Exchange

Create an exchange request. Its changes aren't applied on the order until the exchange is confirmed.

POST
/admin/exchanges
AuthorizationBearer <token>

In: header

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

order_id*string

The ID of the order this exchange is created for.

description?string

The exchange's description.

internal_note?string

A note viewed only by admin users.

metadata?object

The exchange's metadata, can hold custom key-value pairs.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/exchanges" \  -H "Content-Type: application/json" \  -d '{    "order_id": "string"  }'
{
  "order": {
    "id": "string",
    "version": 0,
    "order_change": {},
    "status": "canceled",
    "region_id": "string",
    "customer_id": "string",
    "sales_channel_id": "string",
    "email": "user@example.com",
    "currency_code": "usd",
    "shipping_address": {
      "id": "string",
      "customer_id": "string",
      "first_name": "string",
      "last_name": "string",
      "phone": "string",
      "company": "string",
      "address_1": "string",
      "address_2": "string",
      "city": "string",
      "country_code": "us",
      "province": "us-ca",
      "postal_code": "string",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    },
    "billing_address": {
      "id": "string",
      "customer_id": "string",
      "first_name": "string",
      "last_name": "string",
      "phone": "string",
      "company": "string",
      "address_1": "string",
      "address_2": "string",
      "city": "string",
      "country_code": "us",
      "province": "us-ca",
      "postal_code": "string",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    },
    "items": [
      {
        "id": "string",
        "title": "string",
        "subtitle": "string",
        "thumbnail": "string",
        "variant_id": "string",
        "product_id": "string",
        "product_title": "string",
        "product_description": "string",
        "product_subtitle": "string",
        "product_type": "string",
        "product_collection": "string",
        "product_handle": "string",
        "variant_sku": "string",
        "variant_barcode": "string",
        "variant_title": "string",
        "variant_option_values": {
          "Color": "Red"
        },
        "requires_shipping": true,
        "is_discountable": true,
        "is_tax_inclusive": true,
        "compare_at_unit_price": 0,
        "unit_price": 0,
        "quantity": 0,
        "tax_lines": [
          {
            "item": {},
            "item_id": "string",
            "total": 0,
            "subtotal": 0,
            "id": "string",
            "description": "string",
            "tax_rate_id": "string",
            "code": "string",
            "rate": 0,
            "provider_id": "string",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "adjustments": [
          {
            "item": {},
            "item_id": "string",
            "id": "string",
            "code": "string",
            "amount": 0,
            "order_id": "string",
            "description": "string",
            "promotion_id": "string",
            "provider_id": "string",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "detail": {
          "id": "string",
          "item_id": "string",
          "item": {},
          "quantity": 0,
          "fulfilled_quantity": 0,
          "delivered_quantity": 0,
          "shipped_quantity": 0,
          "return_requested_quantity": 0,
          "return_received_quantity": 0,
          "return_dismissed_quantity": 0,
          "written_off_quantity": 0,
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        },
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "metadata": {},
        "original_total": 0,
        "original_subtotal": 0,
        "original_tax_total": 0,
        "item_total": 0,
        "item_subtotal": 0,
        "item_tax_total": 0,
        "total": 0,
        "subtotal": 0,
        "tax_total": 0,
        "discount_total": 0,
        "discount_tax_total": 0,
        "refundable_total": 0,
        "refundable_total_per_unit": 0,
        "product_type_id": "string",
        "is_giftcard": true
      }
    ],
    "shipping_methods": [
      {
        "id": "string",
        "order_id": "string",
        "name": "string",
        "description": "string",
        "amount": 0,
        "is_tax_inclusive": true,
        "shipping_option_id": "string",
        "data": {},
        "metadata": {},
        "tax_lines": [
          {
            "shipping_method": {},
            "shipping_method_id": "string",
            "total": 0,
            "subtotal": 0,
            "id": "string",
            "description": "string",
            "tax_rate_id": "string",
            "code": "string",
            "rate": 0,
            "provider_id": "string",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "adjustments": [
          {
            "shipping_method": {},
            "shipping_method_id": "string",
            "id": "string",
            "code": "string",
            "amount": 0,
            "order_id": "string",
            "description": "string",
            "promotion_id": "string",
            "provider_id": "string",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "original_total": 0,
        "original_subtotal": 0,
        "original_tax_total": 0,
        "total": 0,
        "subtotal": 0,
        "tax_total": 0,
        "discount_total": 0,
        "discount_tax_total": 0
      }
    ],
    "transactions": [
      {
        "id": "string",
        "order_id": "string",
        "amount": 0,
        "currency_code": "usd",
        "reference": "capture",
        "reference_id": "string",
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "order": {},
        "version": 0
      }
    ],
    "summary": {
      "pending_difference": 0,
      "current_order_total": 0,
      "original_order_total": 0,
      "transaction_total": 0,
      "paid_total": 0,
      "refunded_total": 0,
      "credit_line_total": 0,
      "accounting_total": 0,
      "raw_pending_difference": {},
      "raw_current_order_total": {},
      "raw_original_order_total": {},
      "raw_transaction_total": {},
      "raw_paid_total": {},
      "raw_refunded_total": {},
      "raw_credit_line_total": {},
      "raw_accounting_total": {}
    },
    "metadata": {},
    "canceled_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "original_item_total": 0,
    "original_item_subtotal": 0,
    "original_item_tax_total": 0,
    "item_total": 0,
    "item_subtotal": 0,
    "item_tax_total": 0,
    "original_total": 0,
    "original_subtotal": 0,
    "original_tax_total": 0,
    "total": 0,
    "subtotal": 0,
    "tax_total": 0,
    "discount_subtotal": 0,
    "discount_total": 0,
    "discount_tax_total": 0,
    "gift_card_total": 0,
    "gift_card_tax_total": 0,
    "shipping_total": 0,
    "shipping_subtotal": 0,
    "shipping_tax_total": 0,
    "original_shipping_total": 0,
    "original_shipping_subtotal": 0,
    "original_shipping_tax_total": 0,
    "display_id": 0,
    "credit_lines": [
      {
        "id": "string",
        "order_id": "string",
        "order": {},
        "reference": "string",
        "reference_id": "string",
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "amount": 0
      }
    ],
    "is_draft_order": true,
    "deleted_at": "2019-08-24T14:15:22Z",
    "credit_line_total": 0,
    "item_discount_total": 0,
    "shipping_discount_total": 0
  },
  "exchange": {
    "order_id": "string",
    "return_items": [
      {
        "id": "string",
        "quantity": 0,
        "received_quantity": 0,
        "damaged_quantity": 0,
        "reason_id": "string",
        "note": "string",
        "item_id": "string",
        "return_id": "string",
        "metadata": {}
      }
    ],
    "additional_items": [
      {
        "id": "string",
        "exchange_id": "string",
        "order_id": "string",
        "item_id": "string",
        "quantity": 0,
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "no_notification": true,
    "difference_due": 0,
    "return": {
      "id": "string",
      "status": "canceled",
      "refund_amount": 0,
      "order_id": "string",
      "items": [
        {
          "id": "string",
          "quantity": 0,
          "received_quantity": 0,
          "damaged_quantity": 0,
          "reason_id": "string",
          "note": "string",
          "item_id": "string",
          "return_id": "string",
          "metadata": {}
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "canceled_at": "2019-08-24T14:15:22Z",
      "exchange_id": "string",
      "location_id": "string",
      "claim_id": "string",
      "order_version": 0,
      "display_id": 0,
      "no_notification": true,
      "received_at": "string"
    },
    "return_id": "string",
    "id": "string",
    "display_id": "string",
    "shipping_methods": [
      {
        "id": "string",
        "order_id": "string",
        "name": "string",
        "description": "string",
        "amount": 0,
        "is_tax_inclusive": true,
        "shipping_option_id": "string",
        "data": {},
        "metadata": {},
        "tax_lines": [
          {
            "shipping_method": {},
            "shipping_method_id": "string",
            "total": 0,
            "subtotal": 0,
            "id": "string",
            "description": "string",
            "tax_rate_id": "string",
            "code": "string",
            "rate": 0,
            "provider_id": "string",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "adjustments": [
          {
            "shipping_method": {},
            "shipping_method_id": "string",
            "id": "string",
            "code": "string",
            "amount": 0,
            "order_id": "string",
            "description": "string",
            "promotion_id": "string",
            "provider_id": "string",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "original_total": 0,
        "original_subtotal": 0,
        "original_tax_total": 0,
        "total": 0,
        "subtotal": 0,
        "tax_total": 0,
        "discount_total": 0,
        "discount_tax_total": 0,
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "detail": {
          "id": "string",
          "shipping_method_id": "string",
          "shipping_method": {},
          "claim_id": "string",
          "exchange_id": "string",
          "return_id": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      }
    ],
    "transactions": [
      {
        "id": "string",
        "order_id": "string",
        "amount": 0,
        "currency_code": "usd",
        "reference": "capture",
        "reference_id": "string",
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "order_version": "string",
    "created_by": "string",
    "canceled_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z",
    "order": {
      "payment_collections": [
        {
          "id": "string",
          "currency_code": "string",
          "amount": 0,
          "authorized_amount": 0,
          "captured_amount": 0,
          "refunded_amount": 0,
          "completed_at": "2019-08-24T14:15:22Z",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "metadata": {},
          "status": "canceled",
          "payment_providers": [
            {
              "id": "string"
            }
          ],
          "payment_sessions": [
            {
              "id": "string",
              "amount": 0,
              "currency_code": "usd",
              "provider_id": "string",
              "data": {},
              "context": {
                "customer": {
                  "id": "cus_123"
                }
              },
              "status": "error",
              "authorized_at": "2019-08-24T14:15:22Z",
              "payment_collection": {},
              "payment": {
                "id": "string",
                "amount": 0,
                "authorized_amount": 0,
                "currency_code": "string",
                "provider_id": "string",
                "data": {},
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "captured_at": "2019-08-24T14:15:22Z",
                "canceled_at": "2019-08-24T14:15:22Z",
                "captured_amount": 0,
                "refunded_amount": 0,
                "captures": [
                  {
                    "id": "string",
                    "amount": 0,
                    "created_at": "2019-08-24T14:15:22Z",
                    "created_by": "string",
                    "payment": {}
                  }
                ],
                "refunds": [
                  {
                    "id": "string",
                    "amount": 0,
                    "refund_reason_id": "string",
                    "note": "string",
                    "created_at": "2019-08-24T14:15:22Z",
                    "created_by": "string",
                    "payment": {},
                    "refund_reason": {
                      "id": "string",
                      "label": "string",
                      "description": "string",
                      "metadata": {},
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "code": "string"
                    }
                  }
                ],
                "payment_collection": {},
                "payment_session": {}
              }
            }
          ],
          "payments": [
            {
              "id": "string",
              "amount": 0,
              "authorized_amount": 0,
              "currency_code": "string",
              "provider_id": "string",
              "data": {},
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z",
              "captured_at": "2019-08-24T14:15:22Z",
              "canceled_at": "2019-08-24T14:15:22Z",
              "captured_amount": 0,
              "refunded_amount": 0,
              "captures": [
                {
                  "id": "string",
                  "amount": 0,
                  "created_at": "2019-08-24T14:15:22Z",
                  "created_by": "string",
                  "payment": {}
                }
              ],
              "refunds": [
                {
                  "id": "string",
                  "amount": 0,
                  "refund_reason_id": "string",
                  "note": "string",
                  "created_at": "2019-08-24T14:15:22Z",
                  "created_by": "string",
                  "payment": {},
                  "refund_reason": {
                    "id": "string",
                    "label": "string",
                    "description": "string",
                    "metadata": {},
                    "created_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "code": "string"
                  }
                }
              ],
              "payment_collection": {},
              "payment_session": {}
            }
          ]
        }
      ],
      "fulfillments": [
        {
          "id": "string",
          "location_id": "string",
          "packed_at": "2019-08-24T14:15:22Z",
          "shipped_at": "2019-08-24T14:15:22Z",
          "delivered_at": "2019-08-24T14:15:22Z",
          "canceled_at": "2019-08-24T14:15:22Z",
          "data": {},
          "provider_id": "string",
          "shipping_option_id": "string",
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "requires_shipping": true
        }
      ],
      "shipping_address": {
        "id": "string",
        "customer_id": "string",
        "first_name": "string",
        "last_name": "string",
        "phone": "string",
        "company": "string",
        "address_1": "string",
        "address_2": "string",
        "city": "string",
        "country_code": "us",
        "province": "us-ca",
        "postal_code": "string",
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      },
      "billing_address": {
        "id": "string",
        "customer_id": "string",
        "first_name": "string",
        "last_name": "string",
        "phone": "string",
        "company": "string",
        "address_1": "string",
        "address_2": "string",
        "city": "string",
        "country_code": "us",
        "province": "us-ca",
        "postal_code": "string",
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      },
      "id": "string",
      "version": 0,
      "region_id": "string",
      "customer_id": "string",
      "sales_channel_id": "string",
      "email": "user@example.com",
      "currency_code": "string",
      "display_id": 0,
      "items": [
        {
          "id": "string",
          "title": "string",
          "subtitle": "string",
          "thumbnail": "string",
          "variant": {
            "id": "string",
            "title": "string",
            "sku": "string",
            "barcode": "string",
            "ean": "string",
            "upc": "string",
            "allow_backorder": true,
            "manage_inventory": true,
            "inventory_quantity": 0,
            "hs_code": "string",
            "origin_country": "string",
            "mid_code": "string",
            "material": "string",
            "weight": 0,
            "length": 0,
            "height": 0,
            "width": 0,
            "variant_rank": 0,
            "options": [
              {
                "id": "string",
                "value": "string",
                "option": {},
                "option_id": "string",
                "metadata": {},
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z"
              }
            ],
            "product": {
              "collection": {
                "id": "string",
                "title": "string",
                "handle": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z",
                "products": [
                  {}
                ],
                "metadata": {}
              },
              "categories": [
                {
                  "category_children": [
                    {
                      "category_children": [
                        {}
                      ],
                      "parent_category": {},
                      "products": [
                        {}
                      ],
                      "name": "string",
                      "description": "string",
                      "id": "string",
                      "metadata": {},
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "handle": "string",
                      "deleted_at": "2019-08-24T14:15:22Z",
                      "is_active": true,
                      "is_internal": true,
                      "rank": 0,
                      "parent_category_id": "string"
                    }
                  ],
                  "parent_category": {
                    "category_children": [
                      {}
                    ],
                    "parent_category": {},
                    "products": [
                      {}
                    ],
                    "name": "string",
                    "description": "string",
                    "id": "string",
                    "metadata": {},
                    "created_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "handle": "string",
                    "deleted_at": "2019-08-24T14:15:22Z",
                    "is_active": true,
                    "is_internal": true,
                    "rank": 0,
                    "parent_category_id": "string"
                  },
                  "products": [
                    {}
                  ],
                  "name": "string",
                  "description": "string",
                  "id": "string",
                  "metadata": {},
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "handle": "string",
                  "deleted_at": "2019-08-24T14:15:22Z",
                  "is_active": true,
                  "is_internal": true,
                  "rank": 0,
                  "parent_category_id": "string"
                }
              ],
              "variants": [
                {}
              ],
              "type": {
                "id": "string",
                "value": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z",
                "metadata": {}
              },
              "tags": [
                {
                  "id": "string",
                  "value": "string",
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z",
                  "metadata": {}
                }
              ],
              "length": 0,
              "title": "string",
              "status": "draft",
              "options": [
                {
                  "id": "string",
                  "title": "string",
                  "product": {},
                  "product_id": "string",
                  "values": [
                    {
                      "id": "string",
                      "value": "string",
                      "option": {},
                      "option_id": "string",
                      "metadata": {},
                      "created_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "deleted_at": "2019-08-24T14:15:22Z"
                    }
                  ],
                  "metadata": {},
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z"
                }
              ],
              "description": "string",
              "id": "string",
              "metadata": {},
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z",
              "handle": "string",
              "subtitle": "string",
              "is_giftcard": true,
              "thumbnail": "string",
              "width": 0,
              "weight": 0,
              "height": 0,
              "origin_country": "string",
              "hs_code": "string",
              "mid_code": "string",
              "material": "string",
              "collection_id": "string",
              "type_id": "string",
              "images": [
                {
                  "id": "string",
                  "url": "string",
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "deleted_at": "2019-08-24T14:15:22Z",
                  "metadata": {},
                  "rank": 0
                }
              ],
              "discountable": true,
              "external_id": "string",
              "deleted_at": "2019-08-24T14:15:22Z"
            },
            "product_id": "string",
            "calculated_price": {
              "id": "string",
              "is_calculated_price_price_list": true,
              "is_calculated_price_tax_inclusive": true,
              "calculated_amount": 0,
              "calculated_amount_with_tax": 0,
              "calculated_amount_without_tax": 0,
              "is_original_price_price_list": true,
              "is_original_price_tax_inclusive": true,
              "original_amount": 0,
              "currency_code": "usd",
              "calculated_price": {},
              "original_price": {},
              "original_amount_with_tax": 0,
              "original_amount_without_tax": 0
            },
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z",
            "deleted_at": "2019-08-24T14:15:22Z",
            "metadata": {}
          },
          "variant_id": "string",
          "product": {
            "collection": {
              "id": "string",
              "title": "string",
              "handle": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z",
              "deleted_at": "2019-08-24T14:15:22Z",
              "products": [
                {}
              ],
              "metadata": {}
            },
            "categories": [
              {
                "category_children": [
                  {
                    "category_children": [
                      {}
                    ],
                    "parent_category": {},
                    "products": [
                      {}
                    ],
                    "name": "string",
                    "description": "string",
                    "id": "string",
                    "metadata": {},
                    "created_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "handle": "string",
                    "deleted_at": "2019-08-24T14:15:22Z",
                    "is_active": true,
                    "is_internal": true,
                    "rank": 0,
                    "parent_category_id": "string"
                  }
                ],
                "parent_category": {
                  "category_children": [
                    {}
                  ],
                  "parent_category": {},
                  "products": [
                    {}
                  ],
                  "name": "string",
                  "description": "string",
                  "id": "string",
                  "metadata": {},
                  "created_at": "2019-08-24T14:15:22Z",
                  "updated_at": "2019-08-24T14:15:22Z",
                  "handle": "string",
                  "deleted_at": "2019-08-24T14:15:22Z",
                  "is_active": true,
                  "is_internal": true,
                  "rank": 0,
                  "parent_category_id": "string"
                },
                "products": [
                  {}
                ],
                "name": "string",
                "description": "string",
                "id": "string",
                "metadata": {},
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "handle": "string",
                "deleted_at": "2019-08-24T14:15:22Z",
                "is_active": true,
                "is_internal": true,
                "rank": 0,
                "parent_category_id": "string"
              }
            ],
            "variants": [
              {}
            ],
            "type": {
              "id": "string",
              "value": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z",
              "deleted_at": "2019-08-24T14:15:22Z",
              "metadata": {}
            },
            "tags": [
              {
                "id": "string",
                "value": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z",
                "metadata": {}
              }
            ],
            "length": 0,
            "title": "string",
            "status": "draft",
            "options": [
              {
                "id": "string",
                "title": "string",
                "product": {},
                "product_id": "string",
                "values": [
                  {
                    "id": "string",
                    "value": "string",
                    "option": {},
                    "option_id": "string",
                    "metadata": {},
                    "created_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "deleted_at": "2019-08-24T14:15:22Z"
                  }
                ],
                "metadata": {},
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z"
              }
            ],
            "description": "string",
            "id": "string",
            "metadata": {},
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z",
            "handle": "string",
            "subtitle": "string",
            "is_giftcard": true,
            "thumbnail": "string",
            "width": 0,
            "weight": 0,
            "height": 0,
            "origin_country": "string",
            "hs_code": "string",
            "mid_code": "string",
            "material": "string",
            "collection_id": "string",
            "type_id": "string",
            "images": [
              {
                "id": "string",
                "url": "string",
                "created_at": "2019-08-24T14:15:22Z",
                "updated_at": "2019-08-24T14:15:22Z",
                "deleted_at": "2019-08-24T14:15:22Z",
                "metadata": {},
                "rank": 0
              }
            ],
            "discountable": true,
            "external_id": "string",
            "deleted_at": "2019-08-24T14:15:22Z"
          },
          "product_id": "string",
          "product_title": "string",
          "product_description": "string",
          "product_subtitle": "string",
          "product_type": "string",
          "product_collection": "string",
          "product_handle": "string",
          "variant_sku": "string",
          "variant_barcode": "string",
          "variant_title": "string",
          "variant_option_values": {
            "Color": "Blue"
          },
          "requires_shipping": true,
          "is_discountable": true,
          "is_tax_inclusive": true,
          "compare_at_unit_price": 0,
          "unit_price": 0,
          "quantity": 0,
          "tax_lines": [
            {
              "item": {},
              "item_id": "string",
              "total": 0,
              "subtotal": 0,
              "id": "string",
              "description": "string",
              "tax_rate_id": "string",
              "code": "string",
              "rate": 0,
              "provider_id": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "adjustments": [
            {
              "item": {},
              "item_id": "string",
              "id": "string",
              "code": "string",
              "amount": 0,
              "order_id": "string",
              "description": "string",
              "promotion_id": "string",
              "provider_id": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "detail": {
            "id": "string",
            "item_id": "string",
            "item": {},
            "quantity": 0,
            "fulfilled_quantity": 0,
            "delivered_quantity": 0,
            "shipped_quantity": 0,
            "return_requested_quantity": 0,
            "return_received_quantity": 0,
            "return_dismissed_quantity": 0,
            "written_off_quantity": 0,
            "metadata": {},
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          },
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "metadata": {},
          "original_total": 0,
          "original_subtotal": 0,
          "original_tax_total": 0,
          "item_total": 0,
          "item_subtotal": 0,
          "item_tax_total": 0,
          "total": 0,
          "subtotal": 0,
          "tax_total": 0,
          "discount_total": 0,
          "discount_tax_total": 0,
          "refundable_total": 0,
          "refundable_total_per_unit": 0,
          "product_type_id": "string"
        }
      ],
      "shipping_methods": [
        {
          "id": "string",
          "order_id": "string",
          "name": "string",
          "description": "string",
          "amount": 0,
          "is_tax_inclusive": true,
          "shipping_option_id": "string",
          "data": {},
          "metadata": {},
          "tax_lines": [
            {
              "shipping_method": {},
              "shipping_method_id": "string",
              "total": 0,
              "subtotal": 0,
              "id": "string",
              "description": "string",
              "tax_rate_id": "string",
              "code": "string",
              "rate": 0,
              "provider_id": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "adjustments": [
            {
              "shipping_method": {},
              "shipping_method_id": "string",
              "id": "string",
              "code": "string",
              "amount": 0,
              "order_id": "string",
              "description": "string",
              "promotion_id": "string",
              "provider_id": "string",
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "original_total": 0,
          "original_subtotal": 0,
          "original_tax_total": 0,
          "total": 0,
          "subtotal": 0,
          "tax_total": 0,
          "discount_total": 0,
          "discount_tax_total": 0,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "detail": {
            "id": "string",
            "shipping_method_id": "string",
            "shipping_method": {},
            "claim_id": "string",
            "exchange_id": "string",
            "return_id": "string",
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        }
      ],
      "payment_status": "canceled",
      "fulfillment_status": "canceled",
      "transactions": [
        {
          "id": "string",
          "order_id": "string",
          "amount": 0,
          "currency_code": "usd",
          "reference": "capture",
          "reference_id": "string",
          "metadata": {},
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "summary": {
        "paid_total": 0,
        "refunded_total": 0,
        "pending_difference": 0,
        "current_order_total": 0,
        "original_order_total": 0,
        "transaction_total": 0,
        "accounting_total": 0
      },
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "original_item_total": 0,
      "original_item_subtotal": 0,
      "original_item_tax_total": 0,
      "item_total": 0,
      "item_subtotal": 0,
      "item_tax_total": 0,
      "original_total": 0,
      "original_subtotal": 0,
      "original_tax_total": 0,
      "total": 0,
      "subtotal": 0,
      "tax_total": 0,
      "discount_total": 0,
      "discount_tax_total": 0,
      "gift_card_total": 0,
      "gift_card_tax_total": 0,
      "shipping_total": 0,
      "shipping_subtotal": 0,
      "shipping_tax_total": 0,
      "original_shipping_total": 0,
      "original_shipping_subtotal": 0,
      "original_shipping_tax_total": 0,
      "status": "string",
      "credit_line_total": 0,
      "item_discount_total": 0,
      "shipping_discount_total": 0
    },
    "allow_backorder": true
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}